<html>
<head>
<title>Ogre::VertexPoseKeyFrame Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">VertexPoseKeyFrame</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::VertexPoseKeyFrame Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::VertexPoseKeyFrame" --><!-- doxytag: inherits="Ogre::KeyFrame" -->
<p>Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.  
 <a href="classOgre_1_1VertexPoseKeyFrame.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::VertexPoseKeyFrame:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1VertexPoseKeyFrame__inherit__graph.gif" border="0" usemap="#Ogre_1_1VertexPoseKeyFrame_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1VertexPoseKeyFrame_inherit__map" id="Ogre_1_1VertexPoseKeyFrame_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack." alt="" coords="40,83,157,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="44,5,153,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1VertexPoseKeyFrame-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">PoseRef</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to a pose at a given influence level.  <a href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">PoseRef</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a1edac52d5414ad95786cc9180bb6d080">PoseRefIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a5ca079fc1fc8647a32d5c45c305e7720">ConstPoseRefIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a8365a7cfe9bd7c805e8cbdc9fa1fa6e2">VertexPoseKeyFrame</a> (const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *parent, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> time)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#a4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead.  <a href="#a8365a7cfe9bd7c805e8cbdc9fa1fa6e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a431d110129e738fa4ff118568252f839">~VertexPoseKeyFrame</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a016e46835e32fb086d56de06c53c1e88">addPoseReference</a> (<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> poseIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> influence)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a new pose reference.  <a href="#a016e46835e32fb086d56de06c53c1e88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a4f4255346e3e0f7bc2f7a5316565f160">updatePoseReference</a> (<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> poseIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> influence)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the influence of a pose reference.  <a href="#a4f4255346e3e0f7bc2f7a5316565f160"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#af9d5ef046e486298493c4809dc242430">removePoseReference</a> (<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> poseIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove reference to a given pose.  <a href="#af9d5ef046e486298493c4809dc242430"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a0135b4674ac0bdd4fd35da0e9c3026bf">removeAllPoseReferences</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all pose references.  <a href="#a0135b4674ac0bdd4fd35da0e9c3026bf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a14924e4a6cae67564c886b169c0e5a22">getPoseReferences</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const reference to the list of pose references.  <a href="#a14924e4a6cae67564c886b169c0e5a22"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a1edac52d5414ad95786cc9180bb6d080">PoseRefIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a3c76e521f11ff60e916815b135249b17">getPoseReferenceIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the pose references.  <a href="#a3c76e521f11ff60e916815b135249b17"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a5ca079fc1fc8647a32d5c45c305e7720">ConstPoseRefIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a1f098a3ea71f5c640b5474504fe2c112">getPoseReferenceIterator</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const iterator over the pose references.  <a href="#a1f098a3ea71f5c640b5474504fe2c112"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a55cb477a6fe4ccde13ad4abff837f718">_clone</a> (<a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *newParent) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clone a keyframe (internal use only)  <a href="#a55cb477a6fe4ccde13ad4abff837f718"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a66817a006993bc7ffab44ea547c2106f">_applyBaseKeyFrame</a> (const <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">VertexPoseKeyFrame</a> *base)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#abc6cab6ca252dffa5f7955fbf25707f8">getTime</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the time of this keyframe in the animation sequence.  <a href="#abc6cab6ca252dffa5f7955fbf25707f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#ad17b809f17245333dc58f7d7a92ca521">mPoseRefs</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#a34af076d7fda5e0da5fd4be8368a28a5">mTime</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#ae9b9c257bf51af1be9bec3e8f50b4a41">mParentTrack</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. </p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00183">183</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a5ca079fc1fc8647a32d5c45c305e7720"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::ConstPoseRefIterator" ref="a5ca079fc1fc8647a32d5c45c305e7720" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a>&lt;<a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a>&gt; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a5ca079fc1fc8647a32d5c45c305e7720">Ogre::VertexPoseKeyFrame::ConstPoseRefIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00233">233</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1edac52d5414ad95786cc9180bb6d080"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::PoseRefIterator" ref="a1edac52d5414ad95786cc9180bb6d080" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a>&gt; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a1edac52d5414ad95786cc9180bb6d080">Ogre::VertexPoseKeyFrame::PoseRefIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00232">232</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<a class="anchor" id="a20c7ef2f81407f7945ac3d9e2bd844a9"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::PoseRefList" ref="a20c7ef2f81407f7945ac3d9e2bd844a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">PoseRef</a>&gt;::type <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">Ogre::VertexPoseKeyFrame::PoseRefList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00211">211</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8365a7cfe9bd7c805e8cbdc9fa1fa6e2"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame" ref="a8365a7cfe9bd7c805e8cbdc9fa1fa6e2" args="(const AnimationTrack *parent, Real time)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a8365a7cfe9bd7c805e8cbdc9fa1fa6e2">Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#a4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead. </p>

</div>
</div>
<a class="anchor" id="a431d110129e738fa4ff118568252f839"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame" ref="a431d110129e738fa4ff118568252f839" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a431d110129e738fa4ff118568252f839">Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00188">188</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a66817a006993bc7ffab44ea547c2106f"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::_applyBaseKeyFrame" ref="a66817a006993bc7ffab44ea547c2106f" args="(const VertexPoseKeyFrame *base)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a66817a006993bc7ffab44ea547c2106f">Ogre::VertexPoseKeyFrame::_applyBaseKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">VertexPoseKeyFrame</a> *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a55cb477a6fe4ccde13ad4abff837f718"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::_clone" ref="a55cb477a6fe4ccde13ad4abff837f718" args="(AnimationTrack *newParent) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a55cb477a6fe4ccde13ad4abff837f718">Ogre::VertexPoseKeyFrame::_clone</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&#160;</td>
          <td class="paramname"><em>newParent</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clone a keyframe (internal use only) </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1KeyFrame.html#af7829d77256717381eb1928bbbce7166">Ogre::KeyFrame</a>.</p>

</div>
</div>
<a class="anchor" id="a016e46835e32fb086d56de06c53c1e88"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::addPoseReference" ref="a016e46835e32fb086d56de06c53c1e88" args="(ushort poseIndex, Real influence)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a016e46835e32fb086d56de06c53c1e88">Ogre::VertexPoseKeyFrame::addPoseReference</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>poseIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>influence</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a new pose reference. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html" title="Reference to a pose at a given influence level.">PoseRef</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a3c76e521f11ff60e916815b135249b17"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getPoseReferenceIterator" ref="a3c76e521f11ff60e916815b135249b17" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a1edac52d5414ad95786cc9180bb6d080">PoseRefIterator</a> <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a3c76e521f11ff60e916815b135249b17">Ogre::VertexPoseKeyFrame::getPoseReferenceIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the pose references. </p>

</div>
</div>
<a class="anchor" id="a1f098a3ea71f5c640b5474504fe2c112"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getPoseReferenceIterator" ref="a1f098a3ea71f5c640b5474504fe2c112" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a5ca079fc1fc8647a32d5c45c305e7720">ConstPoseRefIterator</a> <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a3c76e521f11ff60e916815b135249b17">Ogre::VertexPoseKeyFrame::getPoseReferenceIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a const iterator over the pose references. </p>

</div>
</div>
<a class="anchor" id="a14924e4a6cae67564c886b169c0e5a22"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getPoseReferences" ref="a14924e4a6cae67564c886b169c0e5a22" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a>&amp; <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a14924e4a6cae67564c886b169c0e5a22">Ogre::VertexPoseKeyFrame::getPoseReferences</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a const reference to the list of pose references. </p>

</div>
</div>
<a class="anchor" id="abc6cab6ca252dffa5f7955fbf25707f8"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::getTime" ref="abc6cab6ca252dffa5f7955fbf25707f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1KeyFrame.html#abc6cab6ca252dffa5f7955fbf25707f8">Ogre::KeyFrame::getTime</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the time of this keyframe in the animation sequence. </p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00065">65</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0135b4674ac0bdd4fd35da0e9c3026bf"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::removeAllPoseReferences" ref="a0135b4674ac0bdd4fd35da0e9c3026bf" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a0135b4674ac0bdd4fd35da0e9c3026bf">Ogre::VertexPoseKeyFrame::removeAllPoseReferences</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all pose references. </p>

</div>
</div>
<a class="anchor" id="af9d5ef046e486298493c4809dc242430"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::removePoseReference" ref="af9d5ef046e486298493c4809dc242430" args="(ushort poseIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#af9d5ef046e486298493c4809dc242430">Ogre::VertexPoseKeyFrame::removePoseReference</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>poseIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove reference to a given pose. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">poseIndex</td><td>The pose index (not the index of the reference) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4f4255346e3e0f7bc2f7a5316565f160"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::updatePoseReference" ref="a4f4255346e3e0f7bc2f7a5316565f160" args="(ushort poseIndex, Real influence)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a4f4255346e3e0f7bc2f7a5316565f160">Ogre::VertexPoseKeyFrame::updatePoseReference</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>poseIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>influence</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update the influence of a pose reference. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html" title="Reference to a pose at a given influence level.">PoseRef</a> </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae9b9c257bf51af1be9bec3e8f50b4a41"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::mParentTrack" ref="ae9b9c257bf51af1be9bec3e8f50b4a41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a>* <a class="el" href="classOgre_1_1KeyFrame.html#ae9b9c257bf51af1be9bec3e8f50b4a41">Ogre::KeyFrame::mParentTrack</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00073">73</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad17b809f17245333dc58f7d7a92ca521"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::mPoseRefs" ref="ad17b809f17245333dc58f7d7a92ca521" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#a20c7ef2f81407f7945ac3d9e2bd844a9">PoseRefList</a> <a class="el" href="classOgre_1_1VertexPoseKeyFrame.html#ad17b809f17245333dc58f7d7a92ca521">Ogre::VertexPoseKeyFrame::mPoseRefs</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00247">247</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<a class="anchor" id="a34af076d7fda5e0da5fd4be8368a28a5"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::mTime" ref="a34af076d7fda5e0da5fd4be8368a28a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1KeyFrame.html#a34af076d7fda5e0da5fd4be8368a28a5">Ogre::KeyFrame::mTime</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreKeyFrame_8h_source.html#l00072">72</a> of file <a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
